Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# box.h File Reference

A GtkBox, GtkHBox and GtkVBox C++ wrapper interface. More...

`#include <inti/gtk/container.h>`
`#include <gtk/gtkhbox.h>`
`#include <gtk/gtkvbox.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Gtk

## Detailed Description

A GtkBox, GtkHBox and GtkVBox C++ wrapper interface.

Box is an abstract widget which encapsulates functionallity for a particular kind of container, one that organizes a variable number of widgets into a rectangular area. Box currently has two derived classes, HBox and VBox.
Main Page - Footer